Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.management
Class ServerMBean

    java.lang.Object
      org.mortbay.management.ObjectMBean
          org.mortbay.jetty.management.ServerMBean

All Implemented Interfaces:
  DynamicMBean

    public class ServerMBean

extends ObjectMBean

Field Summary

Fields inherited from class org.mortbay.management.ObjectMBean
`_managed`

Constructor Summary
`ServerMBean(Object managedObject)`

Method Summary
`Handler[]` | `getContexts()`
`long` | `getStartupTime()`

Methods inherited from class org.mortbay.management.ObjectMBean
`defineAttribute, getAttribute, getAttributes, getManagedObject, getMBeanContainer, getMBeanInfo, getObjectName, getObjectNameBasis, invoke, mbeanFor, setAttribute, setAttributes, setMBeanContainer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServerMBean

    public ServerMBean(Object managedObject)

Method Detail

### getContexts

    public Handler[] getContexts()

### getStartupTime

    public long getStartupTime()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2008 Mort Bay Consulting. All Rights Reserved.